Name:        kdeutils
Version:       3.5.5
Release:       2.5AX
Summary:     kdeutils
License:     GPL
URL: http://www.kde.org
Group:         Desktop/KDE
BuildRoot:     /var/tmp/kdeutils-root
Source:      %{name}-%{version}.tar.bz2

Source1:ark.uninst
Source2:calc.uninst
Source3:kedit.uninst
Source4:kfloppy.uninst
Source5:kgpg.uninst
Source6:kwalletmanager.uninst
Source7:laptopOSD.uninst
Source8:khexedit.uninst



Patch: kdeutils-ark-fix.patch
Patch6: kdeutils-kgpg-fix.patch
Patch1: kdeutils-3.5.0-fix-ark-rar-chinese.patch
Patch2: kdeutils-rar-overwrite.patch
Patch3: kdeutils-3.5.2-fix-kgpg-utf8.patch
Patch4: kedit-add-encoding-detect.patch
Patch5: ark-zip-chinese-display.patch
Patch7: kdeutils-3.5.5-desktop-fix.patch
Patch8: kdeutils-3.5.5-applications-menu.patch
Patch9: kdeutils-3.5.5-ja.patch

#Asainux
Patch100: kdeutils-3.5.5-asianux-desktop_categories.patch

Requires: kdelibs, kdebase

%description
Utils for KDE

%package ark
Summary: KDE archive handling tool 
Requires: kdelibs
Group: Desktop/KDE

%description ark
KDE archive handling tool


%package calc
Summary: KDE Caculator
Requires: kdelibs
Group: Desktop/KDE

%description calc
KDE Caculator

%package kedit
Summary: the most simple editor for KDE
Requires: kdelibs
Group: Desktop/KDE

%description kedit
the most simple editor for KDE

%package laptopOSD
Summary: laptop OSD support 
Requires: kdelibs
Group: Desktop/KDE

%description laptopOSD
laptop OSD support


%package kgpg
Summary: gpg gui tool
Requires: kdelibs
Group: Desktop/KDE

%description kgpg
gpg gui tool

%package kfloppy
Summary: KDE floppy tool
Requires: kdelibs
Group: Desktop/KDE

%description kfloppy
KDE floppy tool

%package kwalletmanager 
Summary: KDE wallet manager
Requires: kdelibs
Group: Desktop/KDE

%description kwalletmanager 
KDE wallet manager

%package khexedit
Summary: KDE Hex editor
Requires: kdelibs
Group: Desktop/KDE

%description khexedit
KDE Hex editor

%prep
%setup -q -n kdeutils-%{version} 
%patch -p1
%patch6 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

#Asianux
%patch100 -p1

%Build
rm -rf charselectapplet
rm -rf kcharselect
rm -rf kdelirc
rm -rf kdessh
rm -rf kdf
rm -rf kjots
rm -rf kregexpeditor
rm -rf ksim
rm -rf ktimer
rm -rf klaptopdaemon
rm -rf superkaramba
make -f admin/Makefile.common cvs
export CFLAGS="-fPIC $RPM_OPT_FLAGS"
export CXXFLAGS="-fPIC $RPM_OPT_FLAGS"
unset QTDIR && . /etc/profile.d/qt.sh

./configure --prefix=/usr 
make
%install
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/services/ark_part.desktop


rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/superkaramba/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/ktimer/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/ksim/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kjots/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kinfocenter/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kdf/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kcontrol/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kcmlirc/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kcharselect
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/irkick/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/KRegExpEditor/



#install uninst files

mkdir -p $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/usr/share/uninst
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/usr/share/uninst

%clean
rm -rf $RPM_BUILD_ROOT

%files ark
%defattr(-,root,root)
/usr/bin/ark
%_libdir/kde3/ark.la
%_libdir/kde3/ark.so
%_libdir/kde3/libarkpart.la
%_libdir/kde3/libarkpart.so
%_libdir/libkdeinit_ark.la
%_libdir/libkdeinit_ark.so
/usr/share/applications/kde/ark.desktop
/usr/share/apps/ark
/usr/share/config.kcfg/ark.kcfg
/usr/share/doc/HTML/en/ark
/usr/share/icons/hicolor/*/apps/ark.png
/usr/share/icons/hicolor/scalable/apps/ark.svgz

/usr/share/uninst/ark.uninst

%files kedit
%defattr(-,root,root)
/usr/bin/kedit
%_libdir/kde3/kedit.la
%_libdir/kde3/kedit.so
%_libdir/libkdeinit_kedit.la
%_libdir/libkdeinit_kedit.so
/usr/share/apps/kedit
/usr/share/config.kcfg/kedit.kcfg
/usr/share/doc/HTML/en/kedit
/usr/share/icons/hicolor/*/apps/kedit.png
/usr/share/applications/kde/KEdit.desktop
/usr/share/uninst/kedit.uninst

%files kwalletmanager
%defattr(-,root,root)
/usr/bin/kwalletmanager
%_libdir/kde3/kcm_kwallet.la
%_libdir/kde3/kcm_kwallet.so
/usr/share/applications/kde/kwalletconfig.desktop
/usr/share/applications/kde/kwalletmanager-kwalletd.desktop
/usr/share/applications/kde/kwalletmanager.desktop
/usr/share/apps/kwalletmanager
/usr/share/doc/HTML/en/kwallet
/usr/share/icons/hicolor/*/apps/kwalletmanager.png
/usr/share/services/kwallet_config.desktop
/usr/share/services/kwalletmanager_show.desktop

/usr/share/uninst/kwalletmanager.uninst

%files calc
%defattr(-,root,root)
/usr/bin/kcalc
%_libdir/kde3/kcalc.la
%_libdir/kde3/kcalc.so
%_libdir/libkdeinit_kcalc.la
%_libdir/libkdeinit_kcalc.so
/usr/share/applications/kde/kcalc.desktop
/usr/share/apps/kcalc
/usr/share/apps/kconf_update/kcalcrc.upd
/usr/share/config.kcfg/kcalc.kcfg
/usr/share/doc/HTML/en/kcalc
/usr/share/icons/hicolor/*/apps/kcalc.png
/usr/share/icons/hicolor/scalable/apps/kcalc.svgz

/usr/share/uninst/calc.uninst

%files laptopOSD
%defattr(-,root,root)
%_libdir/kde3/kcm_kvaio.la
%_libdir/kde3/kcm_kvaio.so
%_libdir/kde3/kcm_thinkpad.la
%_libdir/kde3/kcm_thinkpad.so
%_libdir/kde3/kded_kmilod.la
%_libdir/kde3/kded_kmilod.so
%_libdir/kde3/kmilo_asus.la
%_libdir/kde3/kmilo_asus.so
%_libdir/kde3/kmilo_delli8k.la
%_libdir/kde3/kmilo_delli8k.so
%_libdir/kde3/kmilo_generic.la
%_libdir/kde3/kmilo_generic.so
%_libdir/kde3/kmilo_kvaio.la
%_libdir/kde3/kmilo_kvaio.so
%_libdir/kde3/kmilo_thinkpad.la
%_libdir/kde3/kmilo_thinkpad.so
%_libdir/libkmilo.la
%_libdir/libkmilo.so
%_libdir/libkmilo.so.1
%_libdir/libkmilo.so.1.0.0
/usr/share/applications/kde/kvaio.desktop
/usr/share/applications/kde/thinkpad.desktop
/usr/share/services/kded/kmilod.desktop
/usr/share/services/kmilo
/usr/share/servicetypes/kmilo
/usr/share/uninst/laptopOSD.uninst

%files kfloppy
%defattr(-,root,root)
/usr/bin/kfloppy
/usr/share/applications/kde/KFloppy.desktop
/usr/share/doc/HTML/en/kfloppy
/usr/share/icons/hicolor/*/apps/kfloppy.png
/usr/share/apps/konqueror/servicemenus/floppy_format.desktop

/usr/share/uninst/kfloppy.uninst

%files kgpg
%defattr(-,root,root)
/usr/bin/kgpg
/usr/share/applications/kde/kgpg.desktop
/usr/share/apps/kgpg
/usr/share/autostart/kgpg.desktop
/usr/share/config.kcfg/kgpg.kcfg
/usr/share/doc/HTML/en/kgpg
/usr/share/icons/hicolor/*/apps/kgpg.png
/usr/share/apps/konqueror/servicemenus/encryptfile.desktop
/usr/share/apps/konqueror/servicemenus/encryptfolder.desktop
/usr/share/uninst/kgpg.uninst

%files khexedit
%defattr(-,root,root)
/usr/bin/khexedit
/usr/share/applications/kde/khexedit.desktop
/usr/share/apps/khexedit
/usr/share/doc/HTML/*/khexedit

%changelog
* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 3.5.5-2.5AX
- modify kdeutils-3.5.5-asianux-desktop_categories.patch

* Tue Jun 12 2007 Ki-Young, Lee <kylee@haansoft.com> 3.5.5-2.4AX
- added to patch#100( modify desktop categories )

* Tue Jun 12 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.5.5-2.3AX
- Fix Japanese application name (#2890, Patch9)

* Mon Apr 30 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-2.2AX
- add Source#8 and modify spec to bring the package of khexedit
- add Patch#8 to change khexedit.desktop and kedit.desktop for our
  new applications menu

* Mon Jan 29 2007 Hua Jie <jiehua@redflag-linux.com> 3.5.5-2.1AX
- fix library directory name in x86_64 platform

* Wed Jul 05 2006 cjacker
- add a patch to fix ark to display corrent chinese filename in zip archive.
- add a patch to kedit , let kedit detect the file encoding if no encoding parm specific. 
